Bug 965599 - Add note on building from sources for JPP components
Add note on building from sources for JPP components
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: 6.2.0
Assigned To: hfnukal@redhat.com
Tomas Kyjovsky
Depends On:
  Show dependency treegraph
Reported: 2013-05-21 07:57 EDT by Karel Piwko
Modified: 2014-03-26 10:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 965601 (view as bug list)
Last Closed: 2014-03-26 10:56:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 388193 None None None Never

  None (edit)
Description Karel Piwko 2013-05-21 07:57:51 EDT
Despite the fact we distribute source distributions, those cannot be compiled without access to internal repositories (e.g. MEAD repository).

We need to propagate that information visibly to our customers, likely in following form in documentation and/or sources distributions zips in a readme file:   

   On request, Red Hat shall provide customers of [PRODUCT NAME] with
   sufficient access to certain contents of our internal Maven
   repository to facilitate rebuilding of original or modified
   versions of components of [PRODUCT NAME]. Such access will be
   provided by Red Hat to the requesting customer without undue delay.
Comment 2 hfnukal@redhat.com 2014-01-21 09:41:37 EST
Added text to README-JPP.txt
Comment 4 hfnukal@redhat.com 2014-02-03 09:07:17 EST
Postpone to later version. No confirmation from GSS that they are able to provide access to mead for customer.
EAP 6.2 will provide zip repo for building EAP. We need also WFK and portal repo to have full set of dependencies in repo.

Note You need to log in before you can comment on or make changes to this bug.